/**
 * controller for main actions
 *
 * by definition of the action handlers, the current parameters transfered from the client side are located in the store.
 *
 * @category   Controller
 * @package    Core
 * @copyright  Copyright (c) 2011 Plan Software GmbH (http://www.plansoft.de)
 */

// building the namespace
if ( typeof( Controller ) === 'undefined' )
	Controller = {};	
if ( typeof( Controller.main ) === 'undefined' )
	Controller.main = {};

/**
 * action handler for showURL-action
 *
 * @return object - error: error occured while trying to prepare the search (may be empty)
 */
Controller.main.showURLAction = function()
{
	var strURL = getdlgvar( 'URL' );
	
	// with the mozilla plugin, we have to open the URL in CDROM-mode on the server side; otherwise, 
	// the plugin shows the url in another instance of itself
	shellexecute( strURL, '', '' );

	var result = {};
	return( result.toJSON() );
}


