//////////////////////////////////////////////////////////////////
// Diese Script wird innerhalb von CEKCatalogSystem::Init
// aufgerufen.
// Bitte beachten dass hier noch keine Datenbank erreichbar ist.
// Es gibt noch keine Sessions usw.
// Es sollten auch keine externen Scripte gestartet werden weil
// der scripts-Ordner nicht unbedingt vorhanden ist und noch keine
// Scripte aus der Datenbank geladen werden knnen.


//////////////////////////////////////////////////////////////////
// init: Das eingelesene XML-File im alten Format im Store ablegen
function init( src, dst )
{
	var i=0;
	var size = getsize(src,"");
	var it;
	var TAGNAME;
	var n = 0;
	var array_dst;
	
	while( i < size )
	{
		it = arraypath( src, i );
		TAGNAME = getstring( "TAGNAME", it );

		if ( toupper( getstring( "STORAGETYPE", it~"VALUES" ) )=="ARRAY" )
		{	// Array anlegen
			if ( checkexist( TAGNAME, dst ) )
			{	// Array vorhanden
				n = getsize( TAGNAME, dst );
			}
			else
			{	// noch kein Array -> mit Index 0 starten
				n = 0;
			}
			
			array_dst = arraypath( dst~TAGNAME, n );
			copy( it~"VALUES", array_dst );
		}
		else
		{	// Normale Werte
			copy( it~"VALUES", dst~TAGNAME );
		}
		
		if( getsize( "XML", it ) > 0 )
		{	// Unterknoten vorhanden -> Funktion rekursiv aufrufen
			init( it~"XML", dst~TAGNAME );
		}
		
		++i;
	}
}



//////////////////////////////////////////////////////////////////
// MAIN-Block
{
	// configfile laden und im Store ablegen
	var strConfig = getstring( "CATALOG.BASE_CONFIGFILE", "" );
	if ( strConfig != "" )
		importxmlfile( strConfig, "TEMP.CATALOG", 1 );
	else importxmlfile( "catalog.xws","TEMP.CATALOG", 1 );
	// Den Inhalt von "Workspace" im alten Format in den Store
	// bertragen
	init( "TEMP.CATALOG.XML[0].XML","" );
	// Importierte XML-Struktur wieder lschen 	
	delete( "CATALOG","TEMP" );
	
	// Ab hier knnen spezielle Funktionen in den IndiSpecialFunctions aufgerufen werden.
	// specialexec("MY_INIT_FUNCTIONS");

	debug(1, true);
	logtracestate(1);
}
