// ##############################################################################
// #													
// # Author:		D. Weber, M. Derschang
// # Copyright:		Plan Software GmbH, Saarbrcken
// # 
// # Last Change:	2004.05.27 <MD>
// #													
// ##############################################################################




// # ============================================================================
// # Initialize Main-Template
// # ============================================================================
function initializeMain()
{
	
	// # Get Tree-Object:
	var treeObject = document.getElementById('IDC_TREE_CLASSES');
	
	if (treeObject != null)
	{
		// # Set target for tree nodes:
		treeObject.target = 'RFrame';
		
		// # alert("treeObject.selected: "+treeObject.selected);
		createNewHiddenFormField('EKSUBMITEVENTPAR', treeObject.selected); // # Lst das Event zum Setzen des aktuellen Knoten aus.
		ekSubmit(treeObject);	// -mw- lt Gaetan derzeit nicht funktionsfhig 
	}

}



// # ============================================================================
// # Set selected tree node
// # ============================================================================
function MyEKSubmit(strEKSubmit, strEKSubmitPar)
{
	// # alert("MyEKSubmit");
	if ((treeWaitElement = parent.document.getElementById(strEKSubmitPar)) != null) {
		treeWaitElement.style.cursor = 'wait';
		waitElement = treeWaitElement;
	}

	createNewHiddenFormField('EKSUBMITEVENTPAR', strEKSubmitPar); // # Lst das Event zum Setzen des aktuellen Knoten aus.
	ekSubmit(strEKSubmit, null, 100);
}


// # ============================================================================
// # Handle submit from a special target
// # ============================================================================
function ekSubmitInTarget(element, strTarget, bCreate, AttrList) {
	if (bCreate == true)	{
		window.open('', strTarget, AttrList);
	}

	ekSubmit(element, strTarget);
}



// # ============================================================================
// # CATCH EVENT IN PRODUCT LIST
// # ============================================================================
function ekSubmitProductTable( strEvent, argColumn) {
	objColumn = argColumn;
	
	if (objColumn != null)		
	{
		objRow = objColumn;
		
		while ( (objRow != null) && (objRow.nodeName != 'TR') )
		{
			objRow = objRow.parentNode;
			// #alert("Name: "+objRow.nodeName);
			// #alert("Parent: "+objRow.parentNode);
		}
	}

	if (objRow != null)
		createNewHiddenFormField('EKSUBMITEVENTPAR', objRow.getAttribute('userdata'));
	
	ekSubmit(strEvent, "_top")	
	// ekSubmit("IDC_CHILD_NODE_PRODUCT_TABLE", "_top")	
	//ekSubmitInTarget("IDC_CHILD_NODE_PRODUCT_TABLE", "_top", false, '')	;
	// # alert("Userdata: "+objRow.getAttribute('userdata'));
}


// # ============================================================================
// # DISABLE RIGHT CLICK
// # ============================================================================
function DisableRClick()
{return;
	addEvent(document, "contextmenu", disablecontextmenu, false);
}


// # ============================================================================
// # DISABLE CONTEXT MENU
// # ============================================================================
function disablecontextmenu(evt)
{
	return false;
}


// # ============================================================================
// # CHANGE STATE
// # ============================================================================
function ChangeActiveState(objSrcRelOpCombo, strTargetCtrl)
{
	if (objSrcRelOpCombo != null)	{

		objCtrl = document.getElementById(strTargetCtrl);
		
		if (objCtrl != null)	{
			if (objSrcRelOpCombo.value == "LOG_BETWEEN")	
			{
				objCtrl.style.visibility = 'visible';
			}
			else	
			{
				objCtrl.style.visibility = 'hidden';
			}
		}
	}
}

// # ============================================================================
// # MOUSE OVER IN TABLE
// # ============================================================================
function	OnDocTabMouseOver(obj)
{
	if (	obj != null && 
			obj.parentNode != null && 
			obj.parentNode.id != "" && 
			obj.parentNode.getAttribute('userdata') != null)	
	{
		makeHandcursor(obj);
		selectRow(obj.parentNode.id);
	}
}


// # ============================================================================
// # Dokumentbutton anschalten und Dokumentpfad laden
// # ============================================================================

// # Beim Laden der Templates immer berprfen, ob ein Dokument zum Knoten vorhanden
// # ist. Wenn ja, wird der Dokumentpfad ins Main-Template bernommen und der Button
// # angeschaltet.
function loadDocumentInfo()
{
	docPath = this.document.getElementById('IDC_CURRENT_DOCUMENT').value;
	// #alert(docPath);
	
	if ( (docPath != null) && (docPath != "") )
	{
		this.parent.document.getElementById('IDC_BUTTON_PDF').disabled = false;
		//componentEnable('IDC_BUTTON_PDF');
	}
	else
	{
		this.parent.document.getElementById('IDC_BUTTON_PDF').disabled = true;
		//componentDisable('IDC_BUTTON_PDF');
	}
	
	this.parent.document.getElementById('IDC_CURRENT_DOCUMENT').value = docPath;

	var objCFG = this.document.getElementById('IDC_CURRENT_CONFIG');
	if (objCFG != null && objCFG.value != "")	{
		this.parent.document.getElementById('IDC_BUTTON_CFG').disabled = false;
	}
	else	{
		this.parent.document.getElementById('IDC_BUTTON_CFG').disabled = true;
	}
}


// # ============================================================================
// # Dokumentbutton anschalten und Dokumentpfad laden
// # ============================================================================

// # Beim Laden der Templates immer berprfen, ob ein Dokument zum Knoten vorhanden
// # ist. Wenn ja, wird der Dokumentpfad ins Main-Template bernommen und der Button
// # angeschaltet.
function 	openDoc( documentID )
{
	docPath = this.document.getElementById( documentID ).value;
	
	//# alert("Dokument: "+docPath);
	//# alert("ElementID: "+documentID);
	if ((docPath != "") && (docPath != null))
	{
		self.open( docPath );
	}
	else
		this.document.getElementById( documentID ).disabled = true;
}


// # ============================================================================
// # RTF-Datenblatt im Warenkorb anzeigen
// # ============================================================================

function ShowDatenblatt()
{
	filename=document.getElementById('RTF_FILENAME').value;
	if(filename){ self.open(filename); }
	document.getElementById('RTF_FILENAME').value='';
}

/**
 * show a website in a new window
 *
 * @param url - full website url
 */
function showURL( url )
{
	if ( url === '' )
		url = 'http://www.rexroth.com';
		
	//window.open( url, 'NewWin' );
	// with the mozilla plugin, we have to open the URL in CDROM-mode on the server side; otherwise, the plugin shows the url
	// in another instance of itself
	ajaxHelper.startRequest( '/ajax/main/showURL', null, false, 'URL='+url, null, null, null );
}

/**
 * starts the auto update process
 *
 * @param catalog - identifier of catalog
 * @param version - catalog version (for IndraSize, we have MaiorVersion.MinorVersion.TimeOfDatabaseRelease, e.g. 5.05.20100922)
 * @param language - current catalog language (DE/EN ...)
 * @param url - update url (maybe http://ekat1.plan-software.de/updates/easyup.php)
 */
function startUpdate( catalog, version, language, target, url )
{
	// http://ekat1.plan-software.de/updates/easyup.php?EK_CATALOG_NAME=IndraSize&EK_CATALOG_VERSION=5.04.20100918&EK_CATALOG_LANGUAGE=DE
	url += "?EK_CATALOG_NAME=" + catalog + "&EK_CATALOG_VERSION=" + version + "&EK_CATALOG_LANGUAGE=" + language;
	window.frames[target].location.href = url;
	
	if(document.getElementById("UPDATE_NEWER").getValue()==="2"){
		document.getElementById("XFrame").hide();
		document.getElementById("XFrame_Text").hide();
	}
	else if(document.getElementById("UPDATE_NEWER").getValue()==="1"){
		document.getElementById("XFrame").show();
		document.getElementById("XFrame_Text").hide();
	}
	else{
		document.getElementById("XFrame").hide();
		document.getElementById("XFrame_Text").show();
	}
}


/**
 * modifys the text appearance for the update message in the start dialog
 *
 * @param strElementID - element ID of text field that contains the update message in the start dialog
 * @param strShow - show or hide text (allowed values: hidden/visible)
 * @param strMode - text mode (defines color and size of text)
 *                  1: no information about newest update version on server
 *                  2: application version is actual (or more actual than server version)
 *                  3: application version is older than server version
 */
function modifyStartText( strElementID, strShow, strMode )
{
	var element = document.getElementById( strElementID );
	if ( element == null )
		return;
	
	var _hideInfoMessage = function(){
		document.getElementById("IDC_START_MESSAGE_TEXT").hide();
	}
	
	// set visibility
	if ( strShow == '' )
		strShow = 'hidden';
	element.style.visibility = strShow;

	// modify style
	if ( strMode == '1' )		// that's the alert - no information about newest update version on server
	{
		element.style.color = 'red';
		//element.style.fontWeight = 'bold';
		element.style.fontSize = '14px';
		_hideInfoMessage();
	}
	else if ( strMode == '2' )	// application version is actual (or more actual than server version)
	{
		element.style.color = 'green';
		//element.style.fontWeight = 'bold';
		element.style.fontSize = '15px';
		_hideInfoMessage();
	}
	else if ( strMode == '3' )	// application version is older than server version
	{
		element.style.color = 'red';		//'yellow';
		element.style.fontWeight = 'bold';
		element.style.fontSize = '14px';
	}
	else	// standard
	{
		element.style.color = 'black';
	}
}

function eventTable(){
	document.observe("table:selectionchange", function(event) {	
		if(event.originalTarget){
			if(event.originalTarget.id !== "IDC_DRIVES_TABLE_TABLE"){
				var strTableValue =  event.memo.value;
				var strPartID = strTableValue.substring(strTableValue.lastIndexOf("_")+1,strTableValue.length);
				ekSubmit(strPartID);
			}
			else{
				var strSelectionRow 	= event.memo.value;
				
				var strSelectionColumn	= "";
				var strImage 			= event.explicitOriginalTarget.src;
				if(strImage){
					strImage			= strImage.substring((strImage.lastIndexOf("/")+1),strImage.length);				
				
					switch(strImage){
						case "AntrBearb.gif" : strSelectionColumn = "IDC_BEARBEITEN_BUTTON"; break;
						case "AntrLoesch.gif": strSelectionColumn = "IDC_LOESCHEN_BUTTON"; break;
						case "AntrSpeich.gif": strSelectionColumn = "IDC_ANTRIEB_SPEICHERN_BUTTON"; break;
						case "AntrDruck.gif" : strSelectionColumn = "IDC_DRUCKEN_BUTTON"; break;
						case "AntrDruckAns.gif" : strSelectionColumn = "IDC_DRUCKANSICHT_BUTTON"; break;					
					}
					if ( strImage === 'AntrLoesch.gif' )
						CheckDeleteAxisEvent('IDC_LOESCHEN_BUTTON');
					else ekSubmit(strSelectionColumn);
				}
				else if(event.explicitOriginalTarget.parentNode.id != "IDC_DRIVES_TABLE"){
					strSelectionColumn = event.explicitOriginalTarget.id;
					ekSubmit(strSelectionRow);
				}
			}
		}
		else if(event.srcElement){
			var strTableId = event.srcElement.id;
			if(strTableId !== "IDC_DRIVES_TABLE_TABLE"){
				var strTableValue =  event.memo.value;
				var strPartID = strTableValue.substring(strTableValue.lastIndexOf("_")+1,strTableValue.length);
				ekSubmit(strPartID);
			}
			else{
				var strSelectionRow 	= event.memo.value;
				console.log(event);
				var strSelectionColumn	= "";
				var oDialog = dialog["IDC_DRIVES_TABLE"];
				
				var strImage = oDialog.selectedElements[0].src;
				if(strImage){
					strImage			= strImage.substring((strImage.lastIndexOf("/")+1),strImage.length);				
				
					switch(strImage){
						case "AntrBearb.gif" : strSelectionColumn = "IDC_BEARBEITEN_BUTTON"; break;
						case "AntrLoesch.gif": strSelectionColumn = "IDC_LOESCHEN_BUTTON"; break;
						case "AntrSpeich.gif": strSelectionColumn = "IDC_ANTRIEB_SPEICHERN_BUTTON"; break;
						case "AntrDruck.gif" : strSelectionColumn = "IDC_DRUCKEN_BUTTON"; break;
						case "AntrDruckAns.gif" : strSelectionColumn = "IDC_DRUCKANSICHT_BUTTON"; break;					
					}
					if ( strImage === 'AntrLoesch.gif' )
						CheckDeleteAxisEvent('IDC_LOESCHEN_BUTTON');
					else ekSubmit(strSelectionColumn);
				}
				else{
					strSelectionColumn = oDialog.selectedElements[0].id;
					ekSubmit(strSelectionColumn);
				}
			}
		}
		else{
			alert("no event srcElement");
		}
	});
}

function focusTreeItem(strMenuTreeItem)
{
	if (strMenuTreeItem)
	{
		parent.dialog.IDC_TREE_CLASSES.setSelected(strMenuTreeItem);
		parent.dialog.IDC_TREE_CLASSES.focusItem(strMenuTreeItem);
	}
}
